/* Linda's Genuss Oase Stylesheet */

:root {
    --clr-txt-main: #777777;
    --clr-txt-red: #B70E0C;

    --clr-bg-dark: #F9F9F9;

    --max-width: 110rem;
}

*, *::before, *::after {
    box-sizing: border-box;
}

/* Style Aufbau */

body, html {
    margin: 0;
    padding: 0;
	font-family: "Roboto", Tahoma, sans-serif;
    font-size: 10px;
    color: var(--clr-txt-main);
}

#header, #main, #footer, #footerline {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
}

#header {
    margin: 0;
    align-items: center;
    border-bottom: 1px solid #F1F1F1;
    background-color: #FCFCFC;
}

#banner {
    background-color: var(--clr-bg-dark);
}

#main {
    min-height: 70vh;
}

#footer {
    padding: 3rem 0 4rem 0;
    align-items: center;
    border-top: 2px solid #F1F1F1;
    background-color: #FCFCFC;
}

#footer > #footer_table {
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: space-between;
    width: var(--max-width);
}

#footer_table > div {
    display: flex;
    flex-direction: column;
    width: 30%;
    font-size: 1.6rem;
    line-height: 3rem;
}

#footer_table > div > h2 {
    margin: 2rem 0 2rem 0;
    padding: 0;
    text-transform: uppercase;
    font-size: 2.4rem;
    color: var(--clr-txt-red);
}

#footer_table > div > ul {
    margin: 0 0 0 3rem;
    padding: 0;
    text-transform: uppercase;
    font-size: 1.4rem;
    list-style-type: square;
}

#footer_table > div > p {
    margin: 0;
    padding: 0;
}

#footerline {
    padding: 1rem 0 1rem 0;
    min-height: 3rem;
    background-color: var(--clr-txt-red);
    color: #FFFFFF;
    text-align: center;
    vertical-align: middle;
    font-size: 1.2rem;
}

/* Style Header */

#head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    padding: 0;
    width: var(--max-width);
    min-height: 8rem;
}

#logo {
    width: 50%;
}

#logo > a, #logo > a:visited, #logo > a:active {
    font-size: 3rem;
    color: var(--clr-txt-red);
}

menu#navi {
    display: flex;
    flex-direction: row;
    justify-content: end;
    margin: 0;
    padding: 0;
    width: 50%;
}

#navi ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-items: flex-end;
    list-style: none;
    margin: 0;
    padding: 0;
}

#navi ul li a {
    padding: 0 2.4rem 0 2.4rem;
    display: block;
    height: 100%;
    font-size: 1.8rem;
}

/* Style Sections */

#header > section, #main > section, #footer > section, #footerline > section {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

#banner {
    width: 100%;
}

#banner .content {
    background-image: url("../images/theke.png");
    background-size: 100%;
    background-position: top;
    background-repeat: no-repeat;
    flex-direction: row-reverse;
}

#banner .content #open {
    display: block;
    margin-right: 2rem;
    padding: 0.4rem 2.4rem 0.4rem 2.4rem;
    border-radius: 2rem;
    background-color: rgba(0,0,0,0.85);
    color: white;
}

section.dark {
    background-color: var(--clr-bg-dark);
}

section > div.content {
    position: relative;
    display: flex;
    flex-direction: column;
    padding: 3rem 0 3rem 0;
    width: var(--max-width);
    font-size: 1.8rem;
}

/* Style Liste */

#list {
    margin: 2rem 0 2rem 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 2rem;
    width: var(--max-width);
}

#list a {
    position: relative;
    display: block;
    width: 32%;
    height: 20rem;
    border-radius: 2rem;
    background-color: #CCCCCC;
    z-index: 1;
}

#list a {
    background-position: center;
    background-repeat: no-repeat;
}

#list a.breakfast {
    background-image: url(../images/jpg/bg_01.jpg);
}

#list a.pizza {
    background-image: url(../images/jpg/bg_02.jpg);
}

#list a.mittag {
    background-image: url(../images/jpg/bg_03.jpg);
}

#list a.backwaren {
    background-image: url(../images/jpg/bg_04.jpg);
}

#list a.kuchen {
    background-image: url(../images/jpg/bg_05.jpg);
}

#list a.catering {
    background-image: url(../images/jpg/bg_06.jpg);
}

#list a div {
    position: absolute;
    display: block;
    z-index: 2;
    bottom: 2rem;
    right: 2rem;
    font-size: 1.8rem;
    padding: 0.8rem;
    background-color: var(--clr-txt-red);
    color: #FFFFFF;
}

#list a:hover div {
    background-color: black;
}

#quick {
    margin: 2rem 0 2rem 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    row-gap: 3rem;
    column-gap: 2rem;
    width: var(--max-width);
}

#quick .row {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 2rem;
    width: var(--max-width);
}

#quick .row .item {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 2rem;
    background-color: #FFFFFF;
    width: calc(var(--max-width) / 5);
    height: calc(var(--max-width) / 5 - 2rem);
}

#dpd, #gls, #hermes, #lotto {
    width: 125px;
}

.obst {
    background-color: lightgreen;
}

.foodcard {
    display: flex;
    flex-direction: row;
    margin: 2rem 0 2rem 0;
    gap: 3rem;
    width: var(--max-width);
}

.foodcard .galery {
    width: 32%;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.foodcard .galery img {
    background-position: center;
    border-radius: 2rem;
}

.foodcard .offer {
    display: flex;
    flex-direction: column;
    width: 64%;
}

/* Style Content */

a, a:visited {
    text-decoration: none;
    color: var(--clr-txt-main);
}

a:active, a:hover {
    color: var(--clr-txt-red);
}

a.active {
    color: var(--clr-txt-red);
}

p {
    margin: 2rem 0 2rem 0;
    padding: 0;
    font-size: 1.6rem;
    line-height: 2.4rem;
}

h1 {
    position: relative;
    margin-bottom: 2rem;
    font-size: 2.4rem;
    font-weight: 300;
    text-transform: uppercase;
    color: var(--clr-txt-red);
    z-index: 1;
}

h1::after {
    position: absolute;
    bottom: -10px;
    left: 0;
    height: 1px;
    content: "";
    width: 100%;
    z-index: 2;
	background: linear-gradient(to right, rgba(0, 0, 0, 0.18) 0%, rgba(0, 0, 0, 0.12) 35%, rgba(0, 0, 0, 0.05) 70%, rgba(0, 0, 0, 0) 100%);
}

h2 {
    position: relative;
    margin-bottom: 2rem;
    fon-size: 2rem;
    font-weight: 300;
    text-transform: uppercase;
}

h3 {
    position: relative;
    margin: 0;
    padding: 0 0 0.6rem 2rem;
    color: brown;
    font-size: 1.8rem;
}

h3 span {
    position: absolute;
    right: 0;
    font-style: italic;
}

p.detail {
    margin: 0;
    padding: 0 6rem 2rem 4rem;
    font-size: 1.6rem;
    color: var(--clr-txt-main);
    font-style: italic;
}

p#social img {
    width: 32px;
}

/* Mittagskarte */

div#mittagskarten {
    display: flex;
    flex-direction: row;
    gap: 2rem;
}

#mittagskarte {
    width: 100%;
    border: 0;
}

p#disclaimer {
    font-weight: 200;
    font-size: 1.2rem;
    line-height: 2rem;
}

/* Content Management System CMS */

section.hide {
    display: none !important;
}

#cms_menu {
    display: flex;
    justify-content: end;
    margin: 0;
    padding: 0;
    height: 6rem;
    background-color: var(--clr-txt-red);
}

#cms_navi {
    width: var(--max-width);
}

#cms_menu ul {
    list-style-type: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-items: flex-end;
    list-style: none;
    margin: 0;
    padding: 0;
}

#cms_menu ul li {
    display: inline-block;
    margin-right: 2px;
    background-color: #AAAAAA;
    padding: 1rem 1.6rem;
    color: #FFFFFF;
    font-size: 1.6rem;
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
}

#cms_menu ul li:hover, #cms_menu ul li.active {
    background-color: #FFFFFF;
    color: var(--clr-txt-red);
    cursor: pointer;
}

ul.style {
    line-height: 3rem;
}

input {
    display: block;
    border: 1px solid var(--clr-txt-main);
    margin-bottom: 0.6rem;
    height: 4rem;
    width: 50%;
    padding: 0.8rem;
    font-size: 1.6rem;
}